﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
namespace SLElement
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ListCity = new List<CityInformation>()
            {
                new CityInformation(){ AddrName="四川", CityName="成都", TelNum="028"},
                new CityInformation(){ AddrName="北京", CityName="北京", TelNum="010"},
                new CityInformation(){ AddrName="广东", CityName="广州", TelNum="021"}
            };
            ObservableCity = new ObservableCollection<CityInformation>()
            {
                new CityInformation(){ AddrName="四川", CityName="成都", TelNum="028"},
                new CityInformation(){ AddrName="北京", CityName="北京", TelNum="010"},
                new CityInformation(){ AddrName="广东", CityName="广州", TelNum="021"}
            };
            this.ShowListCity.ItemsSource = ListCity;
            this.ShowObservableCity.ItemsSource = ObservableCity;
        }

        private List<CityInformation> _ListCity;
        /// <summary>
        /// 城市集合
        /// </summary>
        public List<CityInformation> ListCity
        {
            get { return _ListCity; }
            set { _ListCity = value; }
        }

        private ObservableCollection<CityInformation> _ObservableCity;
        /// <summary>
        /// 城市集合
        /// </summary>
        public ObservableCollection<CityInformation> ObservableCity
        {
            get { return _ObservableCity; }
            set { _ObservableCity = value; }
        }
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ListCity.Add(new CityInformation() { AddrName = "重庆", CityName = "重庆", TelNum = "022" });
            ObservableCity.Add(new CityInformation() { AddrName = "重庆", CityName = "重庆", TelNum = "022" });
        }
    }
}
